class_name Item extends Resource
## An item which can be collected, held in the player's inventory, and used.

@export var name: String
@export_multiline var description: String

## Handy typed singleton access.
static var catalog: ItemCatalogType:
	get():
		return ItemCatalog
